PACKAGECONFIG = "experimental"

THISDIR := "${@os.path.dirname(d.getVar('FILE', True))}"
FILESPATH =. "${@base_set_filespath(["${THISDIR}/${PN}-${PV}", "${THISDIR}/files"], d)}:"

PR .= "bs1"

SRC_URI = "git://git.kernel.org/pub/scm/bluetooth/bluez.git;protocol=http;rev=f3e79520e52c8f2b3e3054ca01160c4d4f775b9e \
	file://adv-data.patch file://multi-adv.patch file://adv-use-after-free-fix.patch file://adv-duplicate-reg.patch \
	file://no-priv-addr-warn.patch file://fix-gatt-disconnect-crash.patch \
        file://gatt-read-offset.patch file://gatt-write-offset.patch \
	file://advertising-reports.patch file://adv-early-callback.patch \
	file://sdp-Fix-Out-of-bounds-heap-read-in-service_search_at.patch \
	file://bluetooth.conf file://main.conf file://init"

S = "${WORKDIR}/git"

PV = "5.43"

do_compile_prepend() {
	mkdir -p obexd/src
}

do_install_append() {
	install -d ${D}/var/lib
	ln -sf ../volatile/bluetooth ${D}/var/lib/bluetooth
	install -m 0644 ${WORKDIR}/bluetooth.conf ${D}/${sysconfdir}/dbus-1/system.d/
	install -m 0644 ${WORKDIR}/main.conf ${D}/${sysconfdir}/bluetooth/
}
