PR .= ".5brightsign19"

THISOTHERDIR := "${@os.path.dirname(d.getVar('FILE', True))}"
FILESPATH =. "${@base_set_filespath(["${THISOTHERDIR}/${PN}-${PV}", "${THISOTHERDIR}/files"], d)}:"

SRC_URI += "\
	file://busybox-1.20.2-init-unmount-all-before-shutdown.patch \
	file://busybox-1.20.2-umount-all-skip-proc-and-sys.patch \
        file://busybox-1.22.1-modprobe-modules-not-in-uname-dir.patch \
        file://busybox-1.22.1-init-termios.patch \
	file://mount-nosymlink-option.patch \
"

python do_menuconfig() {
       master_config = d.getVar('THISOTHERDIR', True) + '/files/defconfig'
       cmd = 'unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS MACHINE; make menuconfig'
       cmd += ' && diff -u ' + master_config + ' .config 2>&1 | less '
       cmd += ' && cp .config ' + master_config

       oe_terminal(d.getVar('SHELL', True) + ' -c "' + cmd + '"', 'menuconfig', d)
}

addtask menuconfig after do_configure

do_install_append() {
	# busybox.bb installs all this stuff that we don't want
	rm ${D}${sysconfdir}/init.d/rc[SK]
	rm ${D}${base_sbindir}/runlevel
	rm ${D}${sysconfdir}/inittab
	rmdir ${D}${base_sbindir}
}
