PR .= "bs5"

THISDIR := "${@os.path.dirname(d.getVar('FILE', True))}"
FILESPATH =. "${@base_set_filespath(["${THISDIR}/${PN}-${PV}", "${THISDIR}/files"], d)}:"

SRC_URI += "file://machine-id file://extensions.conf file://dbus-1-extensions.init"

INITSCRIPT_PARAMS = "start 02 2 . stop 02 2 ."

do_install_append() {
       install -d ${D}${sysconfdir}/init.d/
       install -d ${D}${sysconfdir}/rc2.d/
       sed 's:@bindir@:${bindir}:' < ${WORKDIR}/dbus-1-extensions.init >${WORKDIR}/dbus-1-extensions.init.sh
       install -m 0755 ${WORKDIR}/dbus-1-extensions.init.sh ${D}${sysconfdir}/init.d/dbus-1-extensions
       ln -sf ${sysconfdir}/init.d/dbus-1-extensions ${D}${sysconfdir}/rc2.d/S96dbus-1-extensions
       ln -sf ${sysconfdir}/init.d/dbus-1-extensions ${D}${sysconfdir}/rc2.d/K96dbus-1-extensions
       install -m 0644 ${WORKDIR}/extensions.conf ${D}${sysconfdir}/dbus-1/extensions.conf
       install -m 0644 ${WORKDIR}/machine-id ${D}${sysconfdir}/machine-id
}

