# Replace the postinst hook in order to add [SUCCESS=merge] rather than [NOTFOUND=return]
# and so coalesce unicast and multicast DNS results.
pkg_postinst_${PN} () {
	sed -e '/^hosts:/s/\s*\<mdns\>//' \
		-e 's/\(^hosts:.*\)\(\<files\>\)\(.*\)\(\<dns\>\)\(.*\)/\1\2 mdns4_minimal\3\4 mdns\5/' \
		-i $D${sysconfdir}/nsswitch.conf
}
