inherit nfsquick

BS_APPEND_DIR := "${@os.path.dirname(d.getVar('FILE', True))}"
FILESPATH =. "${@base_set_filespath(["${BS_APPEND_DIR}/files"], d)}:"

SRC_URI = "git://git.lttng.org/lttng-tools.git;branch=stable-2.8 \
           file://Revert-Build-look-for-python-3.0-when-building-pytho.patch \
           file://runtest-2.4.0.patch \
           file://xml2-pkgconfig.patch \
           file://run-ptest"

SRC_URI += "file://lttng.sh file://lttng-release.sh file://trace-brightsign file://no-modprobe.patch"

do_install_append() {
	install -d ${D}${syscondir}/etc/init.d
	if [ "${BS_DEBUG}" = "0" ]; then
		install -m 0755 ${WORKDIR}/lttng-release.sh ${D}${syscondir}/etc/init.d/lttng.sh
	else
		install -m 0755 ${WORKDIR}/lttng.sh ${D}${syscondir}/etc/init.d/lttng.sh
	fi

	install -d ${D}${syscondir}/etc/rc2.d
	ln -sf ../init.d/lttng.sh ${D}${sysconfdir}/rc2.d/S21lttng.sh

	install -d ${D}${syscondir}/bin
	install -m 0755 ${WORKDIR}/trace-brightsign ${D}${syscondir}/bin/trace-brightsign
}
