DESCRIPTION = "Minizip is a refactoring of the minizip contribution found in the zlib distribution"
HOMEPAGE = "https://github.com/nmoinvaz/minizip"
SECTION = "libs"
FILESPATH =. "${@base_set_filespath(["${THISDIR}/${PN}-${PV}", "${THISDIR}/files"], d)}:"
DEPENDS = "\
    zlib \
"

PV="master"

# SRCREV is set to top of master 2017-12-22
SRCREV = "18a30653b1eb5e9f96ebc5ec1d93313d229bc731"
SRC_URI = "git://github.com/nmoinvaz/minizip.git;protocol=https"
SRC_URI += "file://bs-remove-libbsd.patch"
S = "${WORKDIR}/git"

SRC_URI[md5sum] = "8885d1033c435b2ba968d4c0acd541ff"
SRC_URI[sha256sum] = "abdc84c483d74c4a313ed9667e5f56ff4e0870e28c31d3abf8d21d4517e12e06"

LICENSE = "Zlib"
PR = "r1"

LIC_FILES_CHKSUM = "FILE://${S}/LICENSE;md5=3fb541eb8359212703e21d14eba7ac64"

inherit autotools pkgconfig cmake

do_install_append() {
	# Tidy up
	rm -rf ${D}/cmake
}

EXTRA_OECONF = "--enable-shared=yes --enable-static=no"
