# This recipe just grabs the single include for the specified revision
# to save us having to clone the entire Git repository.
HOMEPAGE = "https://github.com/nlohmann/json"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://LICENSE.MIT;md5=f8a8f918f1513404c8366d7a63ab6d97"
PV = "2.1.1"
SRCREV = "9ff0cc0f0212cb1e85b83ce5d2907ba9531b6cae"
SRC_URI = "git://github.com/nlohmann/json.git;protocol=https;branch=develop"
S = "${WORKDIR}/git"

# nlohmann-json is a header-only library so the resulting package is
# architecture-agnostic.
inherit allarch

do_compile() {
}

do_install() {
    install -D src/json.hpp ${D}${includedir}/nlohmann-json/json.hpp
}
