DESCRIPTION = "sysbench is a system benchmarking utility"
SECTION = "libs/core"
PRIORITY = "optional"
LICENSE = "GPLv2"
PR = "r1"
LIC_FILES_CHKSUM = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f" 

SRC_URI = "git://github.com/akopytov/sysbench.git;protocol=https;rev=2b3042883090c9cf8cb9be2b24d3590cdcee112f;branch=0.5 \
           file://pthread_config.patch \
	   file://no-docs.patch"

EXTRA_OECONF = "\
    --without-mysql \
    --without-drizzle \
    --without-oracle \
    --without-attachsql \
    --without-pgsql \
    --without-lua \
    "

DEPENDS = "libaio"

S = "${WORKDIR}/git"
inherit autotools 
