CCACHE = "${@bb.utils.which(d.getVar('PATH'), 'ccache') and 'ccache '}"
export CCACHE_DIR ?= "${TMPDIR}/ccache/${MULTIMACH_HOST_SYS}/${PN}"
CCACHE_DISABLE[unexport] = "1"

# As of ccache-3.3, ccache will always include the current directory
# in the hash when the compiler is configured to output debug
# information. The current directory will change every time ${PV}
# changes which greatly reduces the utility of ccache. So, let's not
# consider the current directory to be significant by default.
export CCACHE_NOHASHDIR ?= "1"

DEPENDS_append_class-target = " ccache-native"
DEPENDS[vardepvalueexclude] = " ccache-native"

do_configure[dirs] =+ "${CCACHE_DIR}"
do_kernel_configme[dirs] =+ "${CCACHE_DIR}"

