BRIGHTSIGN_SSTATE_DIR ?= "file:///bs/sstate-cache"

# We'll use the shared sstate cache if it is available. Use a mapping
# so that newer Debian versions use newer files if they are available
# but fall back to those created by older versions if they
# aren't. Anyone that is running anything older than Debian 8
# might have trouble here though.
SSTATE_MIRRORS = "\
file://debian-9 ${BRIGHTSIGN_SSTATE_DIR}/debian-9 \n \
file://debian-testing ${BRIGHTSIGN_SSTATE_DIR}/debian-9 \n \
file://debian-testing-updates ${BRIGHTSIGN_SSTATE_DIR}/debian-9 \n \
file://debian-unstable ${BRIGHTSIGN_SSTATE_DIR}/debian-9 \n \
\
file://debian-[89] ${BRIGHTSIGN_SSTATE_DIR}/debian-8 \n \
file://debian-testing ${BRIGHTSIGN_SSTATE_DIR}/debian-8 \n \
file://debian-testing-updates ${BRIGHTSIGN_SSTATE_DIR}/debian-8 \n \
file://debian-unstable ${BRIGHTSIGN_SSTATE_DIR}/debian-8 \n \
\
file://.* ${BRIGHTSIGN_SSTATE_DIR}/PATH \n \
"
