DESCRIPTION="BrightSign Linux kernel"
SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "7.0.5.1-pb-beats1-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-3.3-7.0.5.1-pb-beats1-bs.tar.gz file://${MACHINE}.config file://sha256sign.py"
SRC_URI[md5sum] = "86139f72b1cf8f86affd60408aa47f8b"
SRC_URI[sha256sum] = "e3ba4ab265f9c21ade54c950590c92fada3ced03c53a4fcfd93b782f29eed556"
COMPATIBLE_MACHINE = "lynx"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_DIR_mipsel = "."

inherit kernel
PKG_kernel-image = "kernel-image"
S = "${WORKDIR}/${PN}-${PV}"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${MACHINE}.config" "${B}/.config"
}
