DESCRIPTION="BrightSign Linux kernel"
SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "7.0.34-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-3.8-7.0.34-bs.tar.gz file://${MACHINE}.config file://sha256sign.py"
SRC_URI[md5sum] = "323ca851169b051aaea2290c7061cd35"
SRC_URI[sha256sum] = "bd3272f455e9fa01717a2f7df90844e06975bbd21a52713348a77a0b68f071b9"
COMPATIBLE_MACHINE = "tiger"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_DIR_mipsel = "."

inherit kernel
PKG_kernel-image = "kernel-image"
S = "${WORKDIR}/${PN}-${PV}"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${MACHINE}.config" "${B}/.config"
}
