# We need our version of libglib to use our own pcre because glib
# modifies its version so heavily it no longer seems to support UTF-8
# (or perhaps even being used without glib.)

THISOTHERDIR := "${@os.path.dirname(d.getVar('FILE', True))}"
FILESPATH =. "${@base_set_filespath(["${THISOTHERDIR}/${PN}-${PV}", "${THISOTHERDIR}/files"], d)}:"

SRC_URI += "file://0001-nss-add-a-partial-NSS-based-GTlsBackend.patch"

DEPENDS += "nss"

do_configure_append() {
	mkdir -p ${S}/tls/base
}

EXTRA_OECONF += "--disable-more-warnings"
