SUMMARY = "OpenGL Mathematics"
DESCRIPTION = "OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics software based on the OpenGL Shading Language (GLSL) specifications."
HOMEPAGE = "http://glm.g-truc.net/0.9.8/index.html"
SECTION = "libs"
DEPENDS = ""

inherit nfsquick

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://manual.md;beginline=116;endline=136;md5=15b0eac3b8809921d7d4293c3a6d9673"

inherit pkgconfig

SRC_URI = "git://github.com/g-truc/glm.git;protocol=https;rev=861dce586c56ec6e746eda4b350830e3a3fae2f5"
S = "${WORKDIR}/git"

do_install() {
    install -d ${D}/${includedir}/glm
    install -d ${D}/${includedir}/glm/detail
    install -d ${D}/${includedir}/glm/gtc
    install -d ${D}/${includedir}/glm/gtx
    install -d ${D}/${includedir}/glm/simd

    install -m 0644 ${S}/glm/*.hpp ${D}/${includedir}/glm
    install -m 0644 ${S}/glm/detail/* ${D}/${includedir}/glm/detail
    install -m 0644 ${S}/glm/gtc/* ${D}/${includedir}/glm/gtc
    install -m 0644 ${S}/glm/gtx/* ${D}/${includedir}/glm/gtx
    install -m 0644 ${S}/glm/simd/* ${D}/${includedir}/glm/simd
}
