# We'd like to compile a native valgrind
PR .= ".bs4"
BBCLASSEXTEND = "native"

BS_APPEND_DIR := "${@os.path.dirname(d.getVar('FILE', True))}"

# valgrind will quite happily compile for just amd64 if it doesn't
# think that the build environment is available. This is a somewhat
# dodgy hack designed to detect that situation and raise an erro.

do_install_append_class-native() {
    if [ ! -x ${D}${libdir}/valgrind/memcheck-x86-linux ]; then
        echo 1>&2
        echo "Compiled valgrind doesn't support 32-bit binaries" 1>&2
        echo "This probably means you need to install 'gcc-multilib'" 1>&2
        echo "and libc6-dev:i386 too once you've enabled multiarch." 1>&2
        echo 1>&2
        exit 1
    fi
}
